using CoreLibrary.Events;
using CoreLibrary.Joueurs;
using Xunit;

namespace UnitTesting
{
    public class DemanderNomEventArgsUT
    {
        [Fact]
        public void TestConstructeurValide()
        {
            JoueurBuilder joueurBuilder = new JoueurBuilder();
            int indice = 15;

            DemanderJoueurEventArgs evenement = new DemanderJoueurEventArgs(indice, joueurBuilder);

            Assert.Equal(joueurBuilder, evenement.JoueurBuilder);
            Assert.Equal(indice, evenement.Indice);
        }

    }
}
